<?php
class ADDON_FACEBUSINESS extends ISC_ADDON{
	public function __construct(){
		parent::__construct();
		$this->SetName('Facebook business');
		$this->SetHelpText('Crie e gerencie seu inventário e descubra o poder dos anúncios no Facebook e no Instagram.<br>
		<a href="https://business.facebook.com/products">Facebook Businnes</a><br>
		Link para captura automática é '.GetConfig('ShopPath').'/xmlfacebook.php <br><br>
		');
	}

	public function SetCustomVars(){

		$this->_variables['precofrete'] = array(
		'type' => 'text',
		'name' => 'Valor do frete fixo',
		'default' => '0.00',
		'required' => true);

		$this->_variables['codcategoria'] = array(
		'type' => 'text',
		'name' => 'coloque o cod da categoria <a target="_blank" href="https://www.google.com/basepages/producttype/taxonomy-with-ids.pt-BR.txt"> Obtenha Aqui</a>',
		'default' => '222',
		'required' => true);

		$this->_variables['fabricante'] = array(
		'type' => 'text',
		'name' => 'Caso seu produto não tenha fabricante cadastrado <br>qual é o nome de fabricante que irá amostrar ?',
		'default' => '',
		'required' => true);

		$this->_variables['destaque'] = array("name" => "Listar Apenas produtos em destaques",
		"type" => "checkbox",
		"help" => "Ao selecionar essa opção somente os produtos marcados como destaques amostrará em seu xml",
		"default" => "",
		"options" => array(
	    'Sim'=>'1'),
	    "required" => false);
	}

	public function Init()
	{

	}


	public function EntryPoint()
	{
	
    echo 'Modulo sem area interativa, apenas configure o mesmo.';
	}
}
?>